using System;
using System.Data;
using System.Globalization;
using System.Resources;
using System.Threading;
public partial class Transactions_NonProcessedData : Base.BasePage
{
    #region "Variable Declaration"
    ResourceManager rm;
    CultureInfo ci;
    NonProcessed objNonProcessed = new NonProcessed();
    Cls_CheckUser objCheckUser = new Cls_CheckUser();
    DataSet ds_Checkuser = new DataSet();
    DataSet ds_NonProcessed = new DataSet();
    string gstrUserGroupName = string.Empty;
    int EmployeeID = 0;
    string source_Language;
    string strScript = string.Empty;
    #endregion
    #region PageLoad

    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
        source_Language = Convert.ToString(Session["Session_ActiveLanguage"]);
        rm = new ResourceManager(source_Language, System.Reflection.Assembly.Load("App_GlobalResources"));
        ci = Thread.CurrentThread.CurrentCulture;
        EmployeeID = Convert.ToInt32(Convert.ToString(Session["EmpAutoID"]));
        gstrUserGroupName = Convert.ToString(Session["UserGroupName"]);
        //    bindGridview();

    }
    #endregion
    private void UserRights()
    {
        ds_Checkuser = objCheckUser.checkRights(7, Convert.ToInt32(Session["userGroup_Id"]), "");
        if (ds_Checkuser.Tables[0].Rows.Count > 0)
        {
        }
        else
        {
            Response.Redirect("TransactionLandingPage.aspx");
        }
    }
    //private void bindGridview()
    //{
    //    ds_NonProcessed = objNonProcessed.SelectNonProcessedData();
    //    if (ds_NonProcessed.Tables[0].Rows.Count > 0)
    //    {
    //        grvEmp.DataSource = ds_NonProcessed.Tables[0];
    //        grvEmp.DataBind();
    //    }
    //    if (ds_NonProcessed.Tables[1].Rows.Count > 0)
    //    {
    //        grvTerm.DataSource = ds_NonProcessed.Tables[1];
    //        grvTerm.DataBind();
    //    }
    //    if (ds_NonProcessed.Tables[2].Rows.Count > 0)
    //    {
    //        grvEmpShift.DataSource = ds_NonProcessed.Tables[2];
    //        grvEmpShift.DataBind();
    //    }
    //    if (ds_NonProcessed.Tables[3].Rows.Count > 0)
    //    {
    //        grvTermPunch.DataSource = ds_NonProcessed.Tables[3];
    //        grvTermPunch.DataBind();
    //    }
    //}
}
